Subject: Re: [Mip6] concensus on [issue94] fixing encapsulation mechanism in IPv4 network

From: Jean-Mickael Guerin <[email-masked]>
Date: Wed, 28 Mar 2007 11:28:13 +0200

Sorry I miss your point in option A: HA can override it.
I thought the idea of option A is to allow MN to force UDP encap.
Do you mean that you don't want the spec to force HA to support UDP encap ?

Thanks,

Jean-Mickael

Hesham Soliman wrote:
> Kiichi, all, 
> 
> I think we've seen the different angles of this issue now and it's time to
> close it. 
> So I suggest that we choose one of the two options listed below. 
> 
> Folks, 
> 
> The "new" issue is about whether or not the MN can request one form of
> tunnelling (i.e. UDP) when sending a BU to the HA. The two choices we have
> are:
> 
> A. Add a flag that allows the MN to request UDP tunnelling interface
> (independently of the presence of a NAT) from the HA, when sending the BU.
> The HA can override the MN's request. Or, 
> 
> B. Do nothing. I.e. the MN sends the BU as described in the spec today and
> the HA tells the MN in the BA whether it should use UDP tunnelling or IP in
> IP. 
> 
> Please express your preference for one of the options above. Let's not make
> things complicated and get into negotiating the tunnelling mechanism, one of
> the two above will suffice. 
> 
> I'll leave it open till next Tuesday. 
> 
> Thanks,
> Hesham
> 
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 28 Mar 2007 18:54:35 +0200

on 2007-03-28 12:13 Hesham Soliman said the following:
>> The idea is to introduce a new flag for MN to request the 
>> UDP tunnel  
>> mode.  Let's call it as the 'U (requesting UDP tunnel)' 
>> flag.  If the  
>> MN doesn't specify the 'U' flag, the behavior is exactly the 
>> same as  
>> the current specification.  The HA can decide what kind of 
>> tunneling  
>> mechanism (IP-in-IP or UDP-in-IP).
>> 
>> When the MN sets the 'U' flag on, the HA always replies with the 'F  
>> (Force UDP tunnel)' flag.  This is a new behavior what I want to  
>> propose.
>> 
>> The HA shouldn't override the 'U' flag.  If we allow overriding the  
>> 'U' flag, then there is no difference between the option 'A' and 'B'.
> 
> There is a difference between A and B of course. The difference is that
> in B the MN can't request anything and is either told to use UDP or told to
> use IP in IP. In A, the MN can request UDP tunnels. Like any other request
> in MIPv6 (e.g. BU lifetime, HoA ....etc) the HA always has the upper hand
> and decides whether the request is acceptable or not. I simply followed the
> same rule here. For instance, the HA/MAP might think UDP tunnelling is not
> acceptable for policy reasons (e.g. an operator doesn't want the MN to waste
> BW when UDP is not needed). I don't have an exhaustive list of scenarios so
> I just erred on the conservative side of keeping with the current approach
> in MIPv6. 

Right.  

This explanation matches http://tools.ietf.org/html/rfc3519#section-3.1.1

	Henrik